netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
spotlight_private.h File Reference
`#include <atalk/spotlight.h>`

Go to the source code of this file.

## Functions
bool | add_filemeta (sl_array_t *reqinfo, sl_array_t *fm_array, const char *path, const struct stat *sp)
| Add requested metadata for a query result element.

## Function Documentation

## ◆ add_filemeta()

bool add_filemeta | ( | sl_array_t * | reqinfo,
|  | sl_array_t * | fm_array,
|  | const char * | path,
|  | const struct stat * | sp )
| extern

Add requested metadata for a query result element.

This could be rewritten to something more sophisticated like querying metadata from Tracker.

If path or sp is NULL, simply add nil values for all attributes.